# -*- coding: utf-8 -*-
import os.path

from django.conf import settings
from events.arc_compat import read_asset


class JsonFixtureMixin:
    @staticmethod
    def get_json_from_file(fixture_name):
        file_path = os.path.join(settings.FIXTURES_DIR, 'surveyme', fixture_name)
        return read_asset(file_path)
